//////////////////////////////////////////////////////////////////////////// 
// CLUSTER - Clustering Toolbox
//
// Copyright (c) by Dr. Eng. (J) Harald Galda, 2011
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////


// Version is checked.

[VersionName, Options] = getversion();

Version = getversion('scilab');

VersionError = 'This toolbox requires Scilab 5.3.0 or higher.';

if Version(1) < 5 then
  
 error(VersionError);
  
end;

if (Version(1) == 5) & (Version(2) < 3) then
  
 error(VersionError);
  
end;

// Name is set.
ToolboxName = 'CLUSTER';

// Path is set.
ToolboxPath = get_absolute_file_path('builder.sce');

// Help, library and macros are built.

tbx_builder_macros(ToolboxPath);

// building online help is disabled in Scilab 5.3.0

if ~((Version(1) == 5) & (Version(2) == 3) & (Version(3) == 0)) then

 tbx_builder_help(ToolboxPath);

end;

tbx_build_loader(ToolboxName, ToolboxPath);

tbx_build_cleaner(ToolboxName, ToolboxPath);


// Variables are cleared.

clear Version;

clear VersionName;

clear Options;

clear VersionError;

clear ToolboxName;

clear ToolboxPath;
