function [DistanceMatrix] = CreateDistanceMatrix(Source, Destination, NormType)
// berechnet die Distanzen zwischen Vektoren.
//
// Calling Sequence
//   [DistanceMatrix] = CreateDistanceMatrix(Source, Destination, NormType)
//
// Parameters
// Source: Matrix
// Destination: Matrix 
// NormType: Norm der Vektoren, is Skalar größer als null, kann %inf sein
// DistanceMatrix: Matrix der Distanzen zwischen den Zeilen von Source (Zeilen) und Destination (Spalten)
//
// Description
// Diese Funktion berechnet die Distanzen zwischen den Zeilen von Source und 
// den Zeilen von Destination. Das Resultat ist eine Matrix. Die Zeilen dieser
// Matrix entsprechen den Vektoren von Source. Die Spalten entsprechen den 
// Vektoren von Destination.
//
// Examples
//  global CLUSTER_PATH;
//  Source = read_csv(CLUSTER_PATH + 'demos\IrisData.csv', ascii(9));
//  Samples = strtod(Source(:, 1 : 4));
//  Centers = SelectRandomly(Samples, 5);
//  Distances = CreateDistanceMatrix(Samples(1 : 5, :), Centers, 2)
//
// See also
//  SelectRandomly
//  GetNearestNeighbor
//  GetQuantizationError
//  CMeans
//  GetDaviesBouldinIndex
//
// Authors
//  Dr. Eng. (J) Harald Galda ; 
//
// Bibliography
//   Richard O. Duda, Peter E. Hart, David G. Stork, 'Pattern Classification', John Wiley & Sons Inc., New York, Chichester, Weinheim, Brisbane, Singapore, Toronto, Second Edition, 2001 

// Diese Datei ist nur dazu da, um eine XML-Datei für die Online-Hilfe zu generieren.
endfunction
