function [ListOfSamples] = SelectRandomly(Source, NumberOfSelectedSamples)
// wählt aus einem Satz von Vektoren eine vorgegebene Anzahl zufällig aus.
//
// Calling Sequence
//   [ListOfSamples] = SelectRandomly(Source, NumberOfSelectedSamples)
//
// Parameters
// Source: Matrix, von der Zeilenvektoren ausgewählt werden
// NumberOfSelectedSamples: Anzahl der auszuwählenden Zeilenvektoren
// ListOfSamples: Matrix, die die ausgewählten Vektoren als Zeilen enthält.
//
// Description
// Diese Funktion wählt eine vorgegebene Anzahl von Zeilen einer Matrix
// zufällig aus. Jede Zeile wird höchstens einmal ausgewählt.
//
// Examples
//  global CLUSTER_PATH;
//  Source = read_csv(CLUSTER_PATH + 'demos\IrisData.csv', ascii(9));
//  Samples = strtod(Source(:, 1 : 4));
//  InitialCenters = SelectRandomly(Samples, 5)
//
// See also
//  CreateDistanceMatrix
//  GetNearestNeighbor
//  GetQuantizationError
//  CMeans
//  GetDaviesBouldinIndex
//
// Authors
//  Dr. Eng. (J) Harald Galda ;
//
// Bibliography
//   Richard O. Duda, Peter E. Hart, David G. Stork, 'Pattern Classification', John Wiley & Sons Inc., New York, Chichester, Weinheim, Brisbane, Singapore, Toronto, Second Edition, 2001 

// Diese Datei ist nur dazu da, um eine XML-Datei für die Online-Hilfe zu generieren.
endfunction
