﻿function [ListOfSamples] = SelectRandomly(Source, NumberOfSelectedSamples)
// はベクトルを矢鱈に選択して、ベクトルの数は決定される
//
// Calling Sequence
//   [ListOfSamples] = SelectRandomly(Source, NumberOfSelectedSamples)
//
// Parameters
// Source:行列で、行は選択される可能性があるベクトルを含む
// NumberOfSelectedSamples: 選択されるベクトルの数である
// ListOfSamples: 選択されたベクトルを含む行列である
//
// Description
// 本関数は矢鱈に行列の列ベクトルを選択する。各ベクトルは一回だけに選択される。
//
// Examples
//  global CLUSTER_PATH;
//  Source = read_csv(CLUSTER_PATH + 'demos\IrisData.csv', ascii(9));
//  Samples = strtod(Source(:, 1 : 4));
//  InitialCenters = SelectRandomly(Samples, 5)
//
// See also
//  CreateDistanceMatrix
//  GetNearestNeighbor
//  GetQuantizationError
//  CMeans
//  GetDaviesBouldinIndex
//
// Authors
//  画留田ハラルド ;
//
// Bibliography
//   Richard O. Duda, Peter E. Hart, David G. Stork, 'Pattern Classification', John Wiley & Sons Inc., New York, Chichester, Weinheim, Brisbane, Singapore, Toronto, Second Edition, 2001 

// This file is for *.xml file generation only.
endfunction
